/* 
 Simple library for the SparkFun Ardumoto Shield https://www.sparkfun.com/products/9815
 with the ST Nucleo F401RE
 
The SparkFun Ardumoto shield can control two DC motors (up to 2 amps per motor). It is based on the L298 H-bridge. 

Developped by : Didier Donsez & Jérome Maisonnasse
 
 License: CC-SA 3.0, feel free to use this code however you'd like.
 Please improve upon it! Let me know how you've made it better.
 
 This is really simple example code to get you some basic functionality with the Ardumoto Shield.
 
 */


#ifndef MBED_ARDUMOTOSHIELD_H
#define MBED_ARDUMOTOSHIELD_H

#include "mbed.h"

class ArduMotoShield {
public:
    static void setVoltages(float vin, float vmaxmotor);

    static void stop();
    static void forward(float A_PWM,float B_PWM);
    static void backward(float A_PWM,float B_PWM);
    static void left(float A_PWM,float B_PWM);
    static void right(float A_PWM,float B_PWM);
private:
    static void setup();
};

#endif
